Subject: Re: bug#14567: Scrolling of large images

From: Thierry Volpiatto <[email-masked]>
Date: Tue, 18 Jun 2013 13:35:03 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Thierry Volpiatto <[email-masked]>
>> Cc: [email-masked]
>> Date: Mon, 17 Jun 2013 06:57:21 +0200
>> 
>> > I'm confused: didn't you want C-f/C-b and the arrows to scroll images
>> > in modes other than image-mode?  I mentioned image-mode only as
>> > example of usage of set-window-hscroll, since image-mode already binds
>> > the movement keys to a command that scrolls the image horizontally.
>> Which command?
>
> This one:
>
>> I see that forward-char is remapped to image-forward-hscroll and same
>> for backward-char
>
>
>> but it is not working because auto-hscroll-mode is
>> not set correctly. 
>
> Horizontal scrolling works just fine for me without any changes, when
> I visit an image file (which automatically puts the buffer into
> image-mode).  If this is the use case you were talking about, then our
> observations don't match.

They don't match, it is not working for me.

>> > If so, why are you suggesting changes to image-mode?
>> To allow navigation with C-f/b and left/right which is not working actually. 
>
> They do for me, in image-mode.

It is not working for me without the changes I sent:

C-f is going straight to the right edge of the image, and C-b is doing nothing.

> The challenge is to support that in other modes.

I understood this, but it should be fixed first in image-mode (which is trivial).

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997